summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Thode <prometheanfire@gentoo.org>2019-03-24 13:36:36 -0500
committerMatthew Thode <prometheanfire@gentoo.org>2019-03-24 13:36:58 -0500
commite0ffebb995d3f31a94ccb77f883a6ee65d5c73db (patch)
tree6f3271b7de6cd9d2610f8f4bcef746518f2557ad /www-apps
parentx11-misc/py3status: version bump (diff)
downloadgentoo-e0ffebb995d3f31a94ccb77f883a6ee65d5c73db.tar.gz
gentoo-e0ffebb995d3f31a94ccb77f883a6ee65d5c73db.tar.bz2
gentoo-e0ffebb995d3f31a94ccb77f883a6ee65d5c73db.zip
www-apps/icingaweb2-module-director: 1.6.2 bump
Fixes: https://bugs.gentoo.org/681600 Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Matthew Thode <prometheanfire@gentoo.org>
Diffstat (limited to 'www-apps')
-rw-r--r--www-apps/icingaweb2-module-director/Manifest1
-rw-r--r--www-apps/icingaweb2-module-director/icingaweb2-module-director-1.6.2.ebuild34
-rw-r--r--www-apps/icingaweb2-module-director/icingaweb2-module-director-9999.ebuild6
3 files changed, 39 insertions, 2 deletions
diff --git a/www-apps/icingaweb2-module-director/Manifest b/www-apps/icingaweb2-module-director/Manifest
index 66f951255bd..3a2fe02d4c8 100644
--- a/www-apps/icingaweb2-module-director/Manifest
+++ b/www-apps/icingaweb2-module-director/Manifest
@@ -1,2 +1,3 @@
DIST icingaweb2-module-director-1.1.0.tar.gz 1287302 BLAKE2B f056a59fc05b7024e2c1fd16830010a4d73d038d2995350449e36a0899729292ae5ca60f70aff6c8c403a7861f7afe9e0b5fdebcb5a8c81aeb30f28fe80eee46 SHA512 a1253c1c803f05b238e12d86e7a367c56e10998293f99beb645ba3ca4d7165407a34dd4f53ef84ee1338464013201adb4fcee09cf3ca78d8850513c366a7a038
DIST icingaweb2-module-director-1.4.3.tar.gz 2561910 BLAKE2B 3f33aac474f557a24c162fb22987be85984f35eff2b01bed3bdff4b486d2aea633beeb7b4821e8ee430d98898213e1f3ee99b103121371cc10611a4130eb0dd9 SHA512 2802de2f1d8ebac04be39cb2c3478ad1b6dac2ebdbcb39165d0316f684321eb4f0f3b2d851201641540a2b6f2fd714c8d78aea98b43259e413c14e2aa7b8f57c
+DIST icingaweb2-module-director-1.6.2.tar.gz 2772722 BLAKE2B 3d51f68469cd4ddf45f6bc62f76ad1f4c8d7d7bec36cc33022f1e0761334707bb345c87bc9f0e1276010e4a643867f1e1a6ea7c53a6fa28dd33e810089b7840b SHA512 693a2aca10e25f99fcf9ada4babb031d682b577b82098185259991214ac7d7662c494b58cf52284569dbca90c8eafa522177b6c64dd817912dafd20b4d7109cb
diff --git a/www-apps/icingaweb2-module-director/icingaweb2-module-director-1.6.2.ebuild b/www-apps/icingaweb2-module-director/icingaweb2-module-director-1.6.2.ebuild
new file mode 100644
index 00000000000..eab3c4caccb
--- /dev/null
+++ b/www-apps/icingaweb2-module-director/icingaweb2-module-director-1.6.2.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="Icinga Web 2 plugin for configuration"
+HOMEPAGE="https://dev.icinga.org/projects/icingaweb2-module-director/"
+if [[ "${PV}" == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/Icinga/icingaweb2-module-director.git"
+else
+ KEYWORDS="~amd64 ~x86"
+ MY_PN="icingaweb2-module-director"
+ SRC_URI="https://codeload.github.com/Icinga/${MY_PN}/tar.gz/v${PV} -> ${P}.tar.gz"
+ S="${WORKDIR}/${MY_PN}-${PV}"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+
+DEPEND=">=net-analyzer/icinga2-2.4.3
+ >=www-apps/icingaweb2-2.2.0
+ || (
+ dev-lang/php:5.6[curl]
+ dev-lang/php:7.1[curl]
+ dev-lang/php:7.2[curl]
+ dev-lang/php:7.3[curl]
+ )"
+RDEPEND="${DEPEND}"
+
+src_install() {
+ insinto "/usr/share/icingaweb2/modules/director/"
+ doins -r "${S}"/*
+}
diff --git a/www-apps/icingaweb2-module-director/icingaweb2-module-director-9999.ebuild b/www-apps/icingaweb2-module-director/icingaweb2-module-director-9999.ebuild
index bb2346eec3e..eab3c4caccb 100644
--- a/www-apps/icingaweb2-module-director/icingaweb2-module-director-9999.ebuild
+++ b/www-apps/icingaweb2-module-director/icingaweb2-module-director-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -22,7 +22,9 @@ DEPEND=">=net-analyzer/icinga2-2.4.3
>=www-apps/icingaweb2-2.2.0
|| (
dev-lang/php:5.6[curl]
- dev-lang/php:7.0[curl]
+ dev-lang/php:7.1[curl]
+ dev-lang/php:7.2[curl]
+ dev-lang/php:7.3[curl]
)"
RDEPEND="${DEPEND}"